# Uses of Class
org.eclipse.jdt.ui.text.java.ClasspathFixProcessor.ClasspathFixProposal

Packages that use ClasspathFixProcessor.ClasspathFixProposal
Package
Description
org.eclipse.jdt.ui.text.java
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of ClasspathFixProcessor.ClasspathFixProposal in org.eclipse.jdt.ui.text.java

Methods in org.eclipse.jdt.ui.text.java that return ClasspathFixProcessor.ClasspathFixProposal
Modifier and Type
Method
Description
`static ClasspathFixProcessor.ClasspathFixProposal[]`
ClasspathFixProcessor.`getContributedFixImportProposals(IJavaProject project, String name, MultiStatus status)`
Evaluates all contributed proposals that can fix non-resolvable imports.
`abstract ClasspathFixProcessor.ClasspathFixProposal[]`
ClasspathFixProcessor.`getFixImportProposals(IJavaProject project, String name)`
Returns proposal that can fix non-resolvable imports.